Can't start IntelliJ on Linux!

Hi All,
I am a new IntelliJ user and can't start it on Linux! I am using Suse10 and JDK 1.5

I am running the idea.sh script but I got an exception

Exception in thread "main" java.lang.UnsupportedClassVersionError: com/intellij/idea/Main (Unsupported major.minor version 49.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:274)
at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)

Can you help?

1 comment

Ops! it was pointing to JDK1.4!
I made some hacks in the script to use JDK1.5 and it is working nice ;)

0

Please sign in to leave a comment.